# IJoeFactory

Interface to interact with Joe V1 Factory

## PairCreated

```solidity
event PairCreated(address token0, address token1, address pair, uint256)
```

## feeTo

```solidity
function feeTo() external view returns (address)
```

## feeToSetter

```solidity
function feeToSetter() external view returns (address)
```

## migrator

```solidity
function migrator() external view returns (address)
```

## getPair

```solidity
function getPair(address tokenA, address tokenB) external view returns (address pair)
```

## allPairs

```solidity
function allPairs(uint256) external view returns (address pair)
```

## allPairsLength

```solidity
function allPairsLength() external view returns (uint256)
```

## createPair

```solidity
function createPair(address tokenA, address tokenB) external returns (address pair)
```

## setFeeTo

```solidity
function setFeeTo(address) external
```

## setFeeToSetter

```solidity
function setFeeToSetter(address) external
```

## setMigrator

```solidity
function setMigrator(address) external
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.lfj.gg/contracts/interfaces/ijoefactory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
